<?php
$laufzeitJahre;
$anfangsFuellstand;
$verlustProJahr = 0.08;
$ausgabe = "";

if (isset($_POST['btBerechnen'])) { // Formular wurde abgeschickt
    $anfangsFuellstand = $_POST['tfAnfangsbefuellung'];
    $laufzeitJahre = $_POST['tfJahre'];
    if ($anfangsFuellstand <= 0 || $laufzeitJahre <= 0) {
        $ausgabe = "Bitte positive Werte eingeben.";
    } else {
        $fuellstand = $anfangsFuellstand;

        /*
        ++++ Aufgabenstellung: +++++
        »Die Klimaanlage im Lambo von Lanzilotti verliert regelmäßig Kühlflüssigkeit, und zwar jährlich 8 Prozent der aktuellen Füllmenge. Es soll berechnet werden, wie viel Kühlmittel nach x Jahren noch übrig sind. Der User gibt die Jahre und die Anfangsbefüllung ein.«
        +++++++++++++++++++++++++++++
        Deshalb mit einer for-Schleife die Jahre durchgehen und pro Jahr die Befüllmenge entsprechend vermindern (verlustProJahr).
        */

        $fuellstand = round($fuellstand, 2);
        // Achtung: Durch Rundung kann aus 0.001 -> 0.00 werden, damit erhalten
        // wir die Ausgabe "noch 0 ml übrig". Fixen Sie das, wennn Sie es können :-)

        $ausgabe = "Nach $laufzeitJahre Jahren sind von $anfangsFuellstand ml noch $fuellstand ml übrig.";
    }
}
?>
<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2e: Klimaanlage</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
        <div id="logobild"></div>
    </a>

    <h1>Klimaanlage</h1>
    <?php echo "<p style='color:red'>$ausgabe</p>"; ?>


    <form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
        <fieldset>
            <legend>Kühlmittelberechnung</legend>
            <label for="tfJahre">Laufzeit Jahre</label>
            <input type="number" name="tfJahre" id="tfJahre"><br><br>
            <label for="tfAnfangsbefuellung">Anfängliche Befüllung (ml)</label>
            <input type="number" name="tfAnfangsbefuellung" id="tfAnfangsbefuellung"><br><br>
            <input type="submit" name="btBerechnen" id="btBerechnen" value="Restmenge berechnen">
        </fieldset>
    </form>

    <div class="dekobild"></div>

</body>

</html>