<?php
$ausgabe = "";

if (isset($_POST['btBerechnen'])) { // Formular wurde abgeschickt

    $verbrechenStartwert = $_POST['tfAnfangszahl'];    // Wert aus Formular: Wie viele Verbrechen gibt es aktuell jährlich in Maulwurfstadt?
    $verbrechenAktuell = $verbrechenStartwert; // Sich ändernder Wert für Schleifenberechnungen
    $wachstumsrate = $_POST['selWachstumsrate'] / 100; // Wert aus Formular: Jährliche Wachstumsrate
    $jahr = 0;

    /*
    ++++ Aufgabenstellung: +++++
    »Letztes Jahr hatten wir in Maulwurfstadt 65 Verbrechen. Wir wissen, dass es jedes Jahr 3% mehr Verbrechen werden. So lange wir unter 80 Verbrechen pro Jahr liegen, müssen wir nichts unternehmen und können uns entspannen.
    Wir geben ins Formular die Anzahl der aktuellen Verbrechen ein (z.B. 65) und die jährliche Wachstumsrate (z.B. 3%). Die Programmlogik berechnet, wie viele Verbrechen pro Jahr es gibt, und zwar bis zu dem Zeitpunkt, wo es mehr als 100 Verbrechen pro Jahr gibt.«
    +++++++++++++++++++++++++++++

    Hier mit einer while-Schleife eine Ausgabe erzeugen, etwa
    »Jahr 1: 13.08 Verbrechen
    Jahr 2: 14.26 Verbrechen
    Jahr 3: 15.54 Verbrechen
    …
    Nach 25 Jahren haben wir mehr als 100 Verbrechen pro Jahr erreicht und müssen handeln!!!«
    */
}

?>
<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2g: Verbrechensrate</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
    <a href="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
        <div id="logobild"></div>
    </a>

    <h1>Verbrechensrate</h1>
    <?php echo "<p style='color:red'>$ausgabe</p>"; ?>


    <form action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
        <fieldset>
            <legend>Verbrechensdaten</legend>
            <label for="tfAnfangszahl">Wie viel Verbrechen gibt es aktuell jährlich in Maulwurfstadt?</label>
            <input type="number" name="tfAnfangszahl" id="tfAnfangszahl" value="<?php echo $verbrechenStartwert; ?>" min="1" required>

            <br><br>

            <label for="selWachstumsrate">Jährliche Wachstumsrate?</label>
            <select id="selWachstumsrate" name="selWachstumsrate">
                <?php
                for ($w = 1; $w <= 20; $w++) {
                    echo "<option value = '$w'";
                    if ($w == 3) {
                        echo " selected";
                    }

                    echo ">$w%</option>";
                }
                ?>
            </select>
            <br><br>
            <input type="submit" name="btBerechnen" id="btBerechnen" value="Anzahl Verbrechen berechnen!" />
        </fieldset>
    </form>

    <div class="dekobild"></div>

</body>

</html>